Bug 150067 - page down/up should scroll month view by a month
Summary: page down/up should scroll month view by a month
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-21 17:50 UTC by Tomas Pospisek
Modified: 2008-02-10 15:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Pospisek 2007-09-21 17:50:57 UTC
Version:           3.5.7 (using KDE 3.5.7, Debian Package 4:3.5.7.dfsg.1-7 (lenny/sid))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.21-2-686

This bug is related to Bug 81689 - just as the mouse wheel should move the month view up and down line by line, so should the page up/down keys scroll the view up/down by a month
Comment 1 Thomas Thrainer 2008-02-09 19:18:19 UTC
SVN commit 772912 by thrainer:

o Use of Qt style sheets to define appearance of month view cells

o Month have now alternating colors (computed automatically from the colors
  defined in the configuration). This makes it easier to see what's going on
  while scrolling.

o The month view is now scrollable. Four buttons are provided to go back and
  forward one week or one month. The mouse wheel works too. Going back and
  forward one month using PgUp and PgDown works too.

o Added an option in the configuration to turn on/off the display of icons
  in the month view (can save some space, if the icon is not so important).

o Some optimizations, mainly related to scrolling the month view.
  - removed the hash mDateToCell. It is about 3 times faster to compute
    the index in the mCells array using the start date and the date we
    want to get cell from. getCell() does this now.

o ToDo's with only a due date (but no due-time) were not displayed
  (because KDateTime is invalid in such a case, altough KDateTime::date()
   returns a valid date). This is fixed now.

o When clicking on the background of a month view cell, the cell was not
  selected. This is fixed now.

CCBUG:81689
CCBUG:150067

FEATURE:
GUI:



 M  +501 -233  komonthview.cpp  
 M  +110 -41   komonthview.h  
 M  +3 -0      koprefsdialog.cpp  
 M  +5 -0      korganizer.kcfg  


WebSVN link: http://websvn.kde.org/?view=rev&revision=772912
Comment 2 Allen Winter 2008-02-10 15:20:50 UTC
closing